Example [doxygen] documentation website using GitLab Pages including ROOT C++ library compilation.

Learn more about GitLab Pages at https://pages.gitlab.io and the official
documentation https://docs.gitlab.com/ce/user/project/pages/.

---

## GitLab CI

This project's static Pages are built by [GitLab CI][ci], following the steps
defined in [`.gitlab-ci.yml`](.gitlab-ci.yml)

## Requirements

- [Doxygen][]
- GraphViz (dot) [optionally]

If generating PDFs:

- PDF-LaTeX
- Ghostscript
- `make` [on *nix]

## Building locally

To work locally with this project, you'll have to follow the steps below:

1. Fork, clone or download this project
2. [Install][] Doxygen, gcc, g++, cmake, make
3. Run ./bootstrap.sh

The generated HTML will be located in the location specified by the Doxyfile,
in this case `./public/`.

Read more at Doxygen's [documentation][].

## GitLab User or Group Pages

To use this project as your user/group website, you will need one additional
step: just rename your project to `namespace.gitlab.io`, where `namespace` is
your `username` or `groupname`. This can be done by navigating to your
project's **Settings**.

Read more about [user/group Pages][userpages] and [project Pages][projpages].

## Did you fork this project?

If you forked this project for your own use, please go to your project's
**Settings** and remove the forking relationship, which won't be necessary
unless you want to contribute back to the upstream project.

## Troubleshooting

1. CSS is missing! That means two things:

    Either that you have wrongly set up the CSS URL in your templates, or
    your static generator has a configuration option that needs to be explicitly
    set in order to serve static assets under a relative URL.

[ci]: https://about.gitlab.com/gitlab-ci/
[doxygen]: http://www.stack.nl/~dimitri/doxygen/index.html
[install]: http://www.stack.nl/~dimitri/doxygen/manual/install.html
[documentation]: http://www.stack.nl/~dimitri/doxygen/manual/index.html
[userpages]: https://docs.gitlab.com/ce/user/project/pages/introduction.html#user-or-group-pages
[projpages]: https://docs.gitlab.com/ce/user/project/pages/introduction.html#project-pages
